Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.wml
Interface WMLPElement

All Known Implementing Classes:
  WMLPElementImpl

public interface WMLPElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'p' element specifies a paragraph (Section 11.8.3, WAP WML Version 16-Jun-1999)

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLPElement.java,v 1.1 2000/04/23 18:07:44 david Exp $
Author:
  David Li
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getMode()`
`java.lang.String` | `getXmlLang()`
`void` | `setAlign(java.lang.String newValue)` 'align' specifies the align of teh paragraph The legal values are 'left,' 'center,' and 'right' (Section 11.8.3, WAP WML Version 16-Jun-1999)
`void` | `setMode(java.lang.String newValue)` 'mode' specifies the wrapping mode of the paragraph.
`void` | `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue, setPrefix, supports`

Method Detail

### setMode

    public void setMode(java.lang.String newValue)

  'mode' specifies the wrapping mode of the paragraph. The legal values are 'wrap' and 'nowrap' (Section 11.8.3, WAP WML Version 16-Jun-1999)

### getMode

    public java.lang.String getMode()

### setAlign

    public void setAlign(java.lang.String newValue)

  'align' specifies the align of teh paragraph The legal values are 'left,' 'center,' and 'right' (Section 11.8.3, WAP WML Version 16-Jun-1999)

### getAlign

    public java.lang.String getAlign()

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    public java.lang.String getXmlLang()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD